<?php
	// menghubungkan dengan koneksi database
	include '../koneksi.php';

	// mengambil data dengan NIK paling besar
	$query = mysqli_query($koneksi, "SELECT max(NIK) as NIKTerbesar FROM personal");
	$data = mysqli_fetch_array($query);
	$KODENIK = $data['NIKTerbesar'];

	// mengambil angka dari NIK terbesar, menggunakan fungsi substr
	// dan diubah ke integer dengan (int)
	$urutan = (int) substr($KODENIK, 5, 4);

// bilangan yang diambil ini ditambah 1 untuk menentukan nomor urut berikutnya
	$urutan++;

// membentuk NIK baru
// perintah sprintf("%04s", $urutan); berguna untuk membuat string menjadi 4 karakter
// misalnya perintah sprintf("%04s", 15); maka akan menghasilkan '0015'
// angka yang diambil tadi digabungkan dengan NIK huruf yang kita inginkan, misalnya J 
	$huruf = "J";
	$tahun = Date('y');
	$bulan = Date('m');
	$KODENIK = $huruf . $tahun . $bulan . sprintf("%04s", $urutan);
?>